package dev.peerat.parser.java;

import java.util.List;
import java.util.function.Function;

import dev.peerat.parser.Bag;
import dev.peerat.parser.ElementBuilder;

public abstract class JavaElement implements ElementBuilder{
	
	Bag bag; //to remove
	
	
	public abstract <E extends JavaElement> E find(Function<JavaElement, Boolean> finder);
	
	public abstract <E extends JavaElement> void findAll(Function<JavaElement, Boolean> finder, List<E> list);
}
