package dev.peerat.parser.java.element.clazz;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;
import static org.junit.jupiter.api.Assertions.assertEquals;

import dev.peerat.parser.java.Class;
import dev.peerat.parser.java.ClassBase;
import dev.peerat.parser.java.element.BaseElementTests;

public class ClazzWithExtendsAndImplements extends BaseElementTests{
	
	{
		register(
				() -> "package be.jeffcheasey88;"
					+ ""
					+ "public class Test extends MyBigTest implements MyTest{}",
				(javafile) -> {
					ClassBase clazzb = javafile.getMainClass();
					assertNotNull(clazzb);
					assertTrue(clazzb instanceof Class);
					Class clazz = (Class)clazzb;
					assertEquals("Test", clazz.getName().getValue());
					assertEquals(0, clazz.getElements().size());
					assertEquals("MyBigTest", clazz.getExtension().getValue());
					assertEquals("MyTest", clazz.getImplementations().getValue()); //where pouvoir en récuperer plusieurs ?
				});
	}

}
